Draft Dimension

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Dimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Text.svg Texte
Page suivante: Etiquette Draft Label.svg Arrow-right.svg

Draft Dimension.svg Draft Dimension

Menu location
Annotation → Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
0.8
See also
Draft Inverser la direction de la cote

Description

La commande Draft Dimension.svg Draft Dimension crée une dimension linéaire, une dimension radiale ou une dimension angulaire. La commande peut également être utilisée pour convertir des objets Std Mesurer une distance.

Les dimensions linéaires basées sur les arêtes et les dimensions radiales sont paramétriques. Cela signifie qu'elles seront mises à jour si l'arête mesurée est modifiée. Les arêtes mesurées peuvent appartenir à des ébauches d'objets mais aussi à des corps solides. Les dimensions angulaires ne sont pas paramétriques.

Les Draft Dimensions peuvent être affichées sur une page de l'Atelier Techdraw à l'aide des commandes TechDraw Vue Draft ou TechDraw Vue Arch. L'Atelier Techdraw propose également ses propres commandes de cotation. Mais celles-ci créent des dimensions qui ne sont affichées que sur la page de dessin et non dans la Vue 3D.

Screenshot Draft Dimension.jpg

Dimension linéaire définie par trois points

Créer

Voir aussi : Draft La barre, Draft Accrochage et Draft Contrainte.

Utilisation pour une dimension linéaire

  1. Sélectionnez éventuellement une règle dans la Vue 3D.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le bouton Draft Dimension.svg Créer une cote.
    • Sélectionnez l'option Annotation → Draft Dimension.svg Dimension dans le menu.
    • Utilisez les raccourcis clavier : D puis I.
  3. Le panneau de tâches Dimension s'ouvre. Voir Options pour plus d'informations.
  4. Si vous n'avez pas encore sélectionné d'arête, effectuez l'une des opérations suivantes :
    • Appuyez sur E ou sur le bouton View-select.svg sélection d'un bord et sélectionnez une arête droite dans la Vue 3D.
    • Maintenez la touche Alt enfoncée, sélectionnez une arête droite dans la Vue 3D et relâchez la touche Alt.
    • Définissez la distance mesurée en choisissant des points :
      • Choisissez un premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
      • Choisissez un deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Pour positionner la ligne de cote, effectuez l'une des opérations suivantes :
    • Pour une cote alignée :
      • Choisissez un point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
    • Pour une dimension horizontale :
      • Déplacez le pointeur au-dessus ou au-dessous du bord ou des points.
      • Maintenez la touche Shift enfoncée, déplacez le pointeur et choisissez un point dans la Vue 3D.
    • Pour une dimension verticale :
      • Déplacez le pointeur à gauche ou à droite de l'arête ou des points.
      • Maintenez la touche Shift enfoncée, déplacez le pointeur et choisissez un point dans la Vue 3D.

Utilisation pour une dimension radiale

  1. Sélectionnez éventuellement un bord circulaire dans la Vue 3D.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le bouton Draft Dimension.svg Créer une cote.
    • Sélectionnez l'option Annotation → Draft Dimension.svg Dimension dans le menu.
    • Utilisez le raccourci clavier : D puis I.
  3. Le panneau de tâches Dimension s'ouvre. Voir Options pour plus d'informations.
  4. Si vous n'avez pas encore sélectionné d'arête, effectuez l'une des opérations suivantes :
    • Appuyez sur E ou sur le bouton View-select.svg sélection d'un bord et sélectionnez une arête circulaire dans la Vue 3D.
    • Maintenez la touche Alt enfoncée, sélectionnez une arête circulaire dans la Vue 3D et relâchez la touche Alt.
  5. Pour positionner la ligne de cote, effectuez l'une des opérations suivantes :
    • Pour une cote de diamètre :
      • Choisissez un point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
    • Pour une dimension radiale :
      • Maintenez la touche Shift et choisissez un point dans la Vue 3D.

Utilisation pour une dimension angulaire

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft Dimension.svg Créer une cote.
    • Sélectionnez l'option Annotation → Draft Dimension.svg Dimension dans le menu.
    • Utilisez le raccourci clavier : D puis I.
  2. Le panneau de tâches Dimension s'ouvre. Voir Options pour plus d'informations.
  3. Maintenez la touche Alt enfoncée, sélectionnez deux arêtes droites dans la Vue 3D et relâchez la touche Alt.
  4. Pour positionner l'arc de cotes, sélectionnez un point dans la Vue 3D.
  5. Selon les bords et le point choisi, l'angle affiché sera l'angle aigu (pointu) ou obtus (émoussé) entre les bords, ou l'angle d'un des bords avec l'horizontale. Dans certains cas, vous devrez d'abord ajouter une géométrie auxiliaire (Draft Lignes par exemple) pour obtenir un angle particulier.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune. Ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur T ou cliquez sur la case Continue pour activer le mode continu. Ce mode ne fonctionne que pour les dimensions linéaires. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des dimensions. Toutes les dimensions suivantes commenceront à partir du point final de la dimension précédente, et utiliseront la même ligne de base que la première dimension. Notez que la sélection des bords n'est pas possible pour les dimensions suivantes.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Convertir

Utilisation

  1. Sélectionnez un ou plusieurs objets Std Mesurer une distance.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le Draft Dimension.svg Créer une cote.
    • Sélectionnez l'option Annotation → Draft Dimension.svg Dimension dans le menu.
    • Utilisez le raccourci clavier : D puis I.
  3. Chaque objet sélectionné est remplacé par une Draft Dimension linéaire non paramétrique.

Remarques

  • Les Draft Dimensions linéaires et radiales peuvent être éditées avec la commande Draft Editer.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Dimension est dérivé d'un objet App FeaturePython et hérite de toutes ses propriétés. Les propriétés suivantes sont supplémentaires, sauf indication contraire :

Données dimension linéaire et radiale

Dimension

  • DonnéesDimline (VectorDistance) : spécifie le point par lequel passe la ligne de dimension.
  • DonnéesLinked Geometry (LinkSubList) : spécifie l'objet et son sous-élément, ou ses sous-éléments, auxquels la dimension est liée.
  • DonnéesNormal (Vector) : spécifie la normale du plan du texte.
  • Données (caché)Support (Link) : spécifie l'objet mesuré.

Linear/radial dimension

  • DonnéesDirection (Vector) : spécifie la direction de la mesure.
  • DonnéesDistance (Length) : (en lecture seule) spécifie la valeur de la mesure.
  • DonnéesEnd (VectorDistance) : spécifie le dernier point de la mesure.
  • DonnéesStart (VectorDistance) : spécifie le point de départ de la mesure.

Radial dimension

  • DonnéesDiameter (Bool) : spécifie si une dimension radiale est affichée comme une dimension de diamètre. Si cela change, le symbole utilisé dans VueOverride doit être mis à jour manuellement (de Ø à R ou vice versa). Non utilisé pour les dimensions linéaires.

Données dimension angulaire

Angular dimension

  • DonnéesAngle (Angle) : (en lecture seule) spécifie la valeur de la mesure.
  • DonnéesCenter (VectorDistance) : spécifie le centre de la mesure.
  • DonnéesFirst Angle (Angle) : spécifie le début de l'angle de la mesure.
  • DonnéesLast Angle (Angle) : spécifie la fin de l'angle de la mesure.

Dimension

  • DonnéesDimline (VectorDistance) : spécifie le point par lequel passe l'arc de dimension.
  • Données (caché)Linked Geometry (LinkSubList) : non utilisé.
  • Données (caché)Normal (Vecteur) : spécifie la normale du plan de la dimension.
  • Données (caché)Support (Link) : non utilisé.

Vue

Annotation

  • VueAnnotation Style (Enumeration) : spécifie le style d'annotation appliqué à la dimension. Voir Draft Éditeur styles d'annotations.
  • VueScale Multiplier (Float) : spécifie le facteur d'échelle général appliqué à la dimension.

Display Options

  • VueDisplay Mode (Enumeration) : spécifie comment le texte est affiché. S'il s'agit de 2D text, le texte sera affiché dans un plan défini par la DonnéesNormal de la mesure. S'il s'agit de 3D text, le texte fera toujours face à la caméra. Notez que ces valeurs sont inversées par rapport à Draft Texte. Il s'agit d'une propriété héritée.

Graphics

  • VueArrow Size (Length) : spécifie la taille des symboles affichés aux extrémités de la ligne ou de l'arc de dimension.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché aux extrémités de la ligne ou de l'arc de dimension, qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueDim Overshoot (Distance) : spécifie la longueur supplémentaire ajoutée à la ligne de cote. Non utilisé pour les cotes angulaires.
  • VueExt Lines (Distance) : spécifie la longueur des lignes d'extension qui vont de la ligne de dimension aux points mesurés. Utilisez 0 pour des lignes d'extension complètes. Une valeur négative définit l'écart entre les extrémités des lignes d'extension et les points mesurés. Une valeur positive définit la longueur maximale des lignes d'extension. Utilisé uniquement pour les dimensions linéaires.
  • VueExt Overshoot (Distance) : spécifie la longueur supplémentaire des lignes d'extension au-delà de la ligne de cote. Non utilisé pour les dimensions angulaires.
  • VueFlip Arrows (Bool) : indique s'il faut inverser l'orientation des symboles aux extrémités de la ligne de cote ou de l'arc. Ne fonctionne que si les symboles sont des flèches.
  • VueLine Color (Color) : spécifie la couleur de la dimension, y compris le texte.
  • VueLine Width (Float) : spécifie la largeur des lignes ou de l'arc appartenant à la dimension.
  • VueShow Line (Bool) : spécifie s'il faut afficher la ligne de la dimension. N'affecte pas l'affichage des lignes d'extension et des dépassements. Non utilisé pour les dimensions angulaires.

Text

  • VueFlip Text (Bool) : indique si l'orientation du texte doit être inversée.
  • VueFont Name (Font) : spécifie la police utilisée pour dessiner le texte. Il peut s'agir d'un nom de police, tel que Arial, d'un style par défaut tel que sans, serif ou mono, d'une famille telle que Arial,Helvetica,sans ou d'un nom avec un style tel que Arial:Bold. Si la police donnée n'est pas trouvée sur le système, une police par défaut est utilisée à la place.
  • VueFont Size (Length) : spécifie la taille des lettres. Le texte peut être invisible dans la Vue 3D si cette valeur est très petite.
  • VueOverride (String) : spécifie un texte personnalisé à afficher à la place de la mesure réelle. Utilisez la chaîne $dim à l'intérieur du texte pour inclure la mesure.
  • VueText Position (VectorDistance) : spécifie la position du texte en coordonnées absolues. [0, 0, 0] affichera le texte dans sa position par défaut près de la ligne ou de l'arc de dimension.
  • VueText Spacing (Length) : spécifie l'espace entre le texte et la ligne ou l'arc de dimension.

Units

  • VueDecimals (Integer) : spécifie le nombre de décimales à afficher pour la mesure.
  • VueShow Unit (Bool) : indique s'il faut afficher l'unité à côté de la valeur numérique de la mesure. Non utilisé pour les dimensions angulaires.
  • VueUnit Override (String) : spécifie l'unité dans laquelle exprimer la mesure, par exemple, km, m, cm, mm, mi, ft, in ou arch pour les unités arch. Laissez ce champ vide pour utiliser l'unité par défaut. Non utilisé pour les dimensions angulaires.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Dimension, utilisez la méthode make_dimension (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeDimension.

dimension = make_dimension(p1, p2, p3=None, p4=None)

Il existe plusieurs façons de faire appel à cette méthode, en fonction des arguments qui lui sont passés :

dimension = make_dimension(p1, p2, p3=None)
dimension = make_dimension(object, i1, i2, p4=None)
dimension = make_dimension(object, i1, mode, p4=None)
  • Crée un dimension linéaire en mesurant la distance entre les points p1 et p2.
  • Crée un dimension linéaire lié à object, mesurant la distance entre ses sommets indexés i1 et i2.
  • Crée un dimension circulaire lié à object, avec i1 étant l'index du bord incurvé à mesurer et mode étant soit "radius" ou "diameter" pour spécifier le type de dimension.
    • p3 lors du premier appel et p4 dans les deux autres, spécifiez un point facultatif par lequel la ligne de cote doit passer.
    • Tous les points sont définis par leur FreeCAD.Vector.

Pour créer une cote angulaire, utilisez la méthode suivante :

dimension = make_angular_dimension(center, angles, p3, normal=None)
dimension = make_angular_dimension(center, [angle1, angle2], p3, normal=None)
  • Crée une dimension angulaire à partir du point center, de la liste d'angles entre deux éléments et le point p3 par lequel l'arc devrait passer.
    • Si angle1 > angle2, l'angle affiché est la différence angle1 - angle2 sinon l'angle complémentaire est affiché 360 - (angle2 - angle1).
    • Les angles doivent être exprimés en radians. La fonction math.radians() peut être utilisée pour convertir des angles donnés en degrés.

Les propriétés de vue de dimension peuvent être modifiées en remplaçant ses attributs, par exemple en changeant ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(-2500, 0, 0)
dimension1 = Draft.make_dimension(p1, p2, p3)
dimension1.ViewObject.FontSize = 200

polygon = Draft.make_polygon(3, radius=1000)
doc.recompute()

p4 = App.Vector(-2000, 1500, 0)
dimension2 = Draft.make_dimension(polygon, 1, 2, p4)
dimension2.ViewObject.FontSize = 200

center = App.Vector(2000, 0, 0)
p5 = App.Vector(3000, 1000, 0)
angle1 = 45
angle2 = 10
dimension3 = Draft.make_angular_dimension(center, [angle1, angle2], p5)
dimension3.ViewObject.FontSize = 200

dimension4 = Draft.make_angular_dimension(center, [angle2, angle1], p5*1.2)
dimension4.ViewObject.FontSize = 200

doc.recompute()


Arrow-left.svg Page précédente: Draft Text.svg Texte
Page suivante: Etiquette Draft Label.svg Arrow-right.svg